Add Level3 Item

API Explorer
loading...
POST
/v2/L3Data/AddLevel3Item

Adds a Level 3 line item to a transaction. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/L3Data/AddLevel3Item" \  -H "Content-Type: application/json" \  -d '{    "Amount": null,    "Tip": null,    "CashbackAmount": null,    "Frequency": "",    "CustomFee": null,    "AuthCode": "",    "TaxAmount": null,    "LocalTaxFlag": "",    "NationalTaxAmount": null,    "CustRef": "",    "DestZipCode": "",    "CustomerVatReg": "",    "SummaryCommodityCode": "",    "FreightAmount": null,    "DutyAmount": null,    "ShipfromZipCode": "",    "DestCountryCode": "",    "LineItemCount": null,    "Level3LineItems": {      "Group": [        {          "CommodityCode": "",          "Description": "",          "ProductCode": "",          "Quantity": null,          "UnitOfMeasure": null,          "UnitCost": null,          "VatTaxAmount": null,          "VatTaxRate": null,          "DiscountAmount": null,          "TotalAmount": null        }      ]    },    "PaymentType": "Credit",    "ReferenceId": "",    "PrintReceipt": "No",    "GetReceipt": "No",    "MerchantNumber": null,    "InvoiceNumber": "",    "CaptureSignature": false,    "GetExtendedData": false,    "IsReadyForIS": false,    "CallbackInfo": {      "Url": ""    },    "ReconId": "",    "IsvId": "",    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "SPInProxyTimeout": null,    "CustomFields": {}  }'
{
  "AuthCode": "",
  "ReferenceId": "",
  "LineItemCount": null,
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}